<!-- eslint-disable -->
<template>
  <main id="one-category-page" class="row p-0 m-0">
    <section class="container col-md-8">
      <h1 class="text-left pt-4 pb-5 category-title">{{ category.title }}</h1>

      <category-vue :category="category" />
    </section>
    <side-bar-vue class="col-md-3" />
  </main>
</template>

<script>
/* eslint-disable */

import CategoriesService from "../../services/CategoriesService";
import SideBarVue from "../../components/SideBar.vue";
import CategoryVue from "../../components/categories/Category";

export default {
  components: {
    SideBarVue,
    CategoryVue
  },
  data() {
    return {
      category: []
    };
  },
  mounted() {
    const service = new CategoriesService();
    service
      .findById(this.$route.params.id)
      .then(data => {
        this.category = data;
      })
      .catch(() => this.$router.push("/"));
  }
};
</script>

<style lang="scss">
#one-category-page {
  a {
    text-decoration: none;
  }
  h1 {
    font-size: 21px;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: black;
  }
}
</style>
